#####################################
### someone's ansible provisioner ###
#####################################
# Part of: https://git.somenet.org/root/pub/somesible.git
# 2017-2026 by someone <someone@somenet.org>
#
# If not overridden in inventory or as a parameter, this is the value that will be used
#
---
# if note defined elsewhere -> fail
#vhost_name: ""
vhost_aliases: ""
vhost_aliases_nocert: ""
vhost_https_on: True
vhost_https_force_letsencrypt: False
vhost_http_on: False
vhost_cache_on: True
vhost_gzip_on: True

# The multilayer is a var include hack.
vhost_custom:
  vhost_custom_pre_server: ""
  vhost_custom: ""

# leave unchanged to only use vhost_custom
vhost_type: ""

# vhost_type: redirect
# if note defined elsewhere -> fail
#vhost_redirect_target_without_protocol: ""
vhost_redirect_code: "301"

# vhost_type: proxypass
# if note defined elsewhere -> fail
#vhost_proxypass_target: ""

# vhost_type: php || static
vhost_git_repo: ""
vhost_git_version: "master"

# vhost_type: php
vhost_php_custom: []

# IPs that ignore $maintenance
vhost_maintenance_ips: []

# config dotfile protection.
vhost_dotfile_protection: True

# fix permissions recursively. Can cause some issues with overlayfs duplicating files for no good reason. Therefore allow it to be disabled.
vhost_fix_perms: True

# awstats.
vhost_awstats_ignore_monitoring_ips: ""
vhost_awstats_valid_http_codes: "200 304"
